powermac compatibility

I have an IMAC G5 powermac running leopard 10.5.8. Snow Leopard is not compatible, can I use OS X Lion?

OS X Lion (10.7)

Back To Product

Follow this Question

1 Answer from the Community

  • No. Everything after Leopard is incompatible with your mac.
    Snow Leopard and everything after don't support Power PC's (G5 etc...).

    Was this useful? Answer 1

    0 of 2 people found this useful

Related Questions